summaryrefslogtreecommitdiffstats
path: root/system/xchm
diff options
context:
space:
mode:
author Michael Gehring <mg@ebfe.org>2010-05-11 22:55:38 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:38 +0200
commitf55ea99237546450e7f98dfbb7fbfd0f62983283 (patch)
treeb107567780cbe4913f99cfdb1491535495e57fcb /system/xchm
parentbd4612a35a2aaf78facf2b1ca88c58e6010bfcd2 (diff)
downloadslackbuilds-f55ea99237546450e7f98dfbb7fbfd0f62983283.tar.gz
slackbuilds-f55ea99237546450e7f98dfbb7fbfd0f62983283.tar.xz
system/xchm: Added to 12.1 repository
Diffstat (limited to 'system/xchm')
-rw-r--r--system/xchm/README3
-rw-r--r--system/xchm/slack-desc19
-rw-r--r--system/xchm/xchm.SlackBuild61
-rw-r--r--system/xchm/xchm.info8
4 files changed, 91 insertions, 0 deletions
diff --git a/system/xchm/README b/system/xchm/README
new file mode 100644
index 0000000000..ecc063a3d6
--- /dev/null
+++ b/system/xchm/README
@@ -0,0 +1,3 @@
+xchm is a viewer for Compiled HTML Help (.chm) files.
+
+Requires chmlib and wxGTK (both available on slackbuilds.org)
diff --git a/system/xchm/slack-desc b/system/xchm/slack-desc
new file mode 100644
index 0000000000..73a2852158
--- /dev/null
+++ b/system/xchm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xchm: xchm (viewer for .chm files)
+xchm:
+xchm: xchm is a viewer for Compiled HTML Help (.chm) files.
+xchm:
+xchm:
+xchm:
+xchm:
+xchm:
+xchm:
+xchm:
+xchm:
diff --git a/system/xchm/xchm.SlackBuild b/system/xchm/xchm.SlackBuild
new file mode 100644
index 0000000000..69dccbda6c
--- /dev/null
+++ b/system/xchm/xchm.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# Slackware build script for xchm
+# Written by Michael Gehring <mg@ebfe.org>
+
+PRGNAM=xchm
+VERSION=${VERSION:-1.14}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -fno-strict-aliasing"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -fno-strict-aliasing"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -fno-strict-aliasing"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS=$SLKCFLAGS \
+CXXFLAGS=$SLKCFLAGS \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README README.xmlrpc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xchm/xchm.info b/system/xchm/xchm.info
new file mode 100644
index 0000000000..a61691a9a8
--- /dev/null
+++ b/system/xchm/xchm.info
@@ -0,0 +1,8 @@
+PRGNAM="xchm"
+VERSION="1.14"
+HOMEPAGE="http://xchm.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/xchm/xchm-1.14.tar.gz"
+MD5SUM="0f398af788a9e1a7c6f4e65b5ca31cf3"
+MAINTAINER="Michael Gehring"
+EMAIL="mg@ebfe.org"
+APPROVED="rworkman"